Description: This a template to create a VPC. The VPC can be created on a region by the CLI

Parameters: # Variables that can be referred in the Resource Section
  EnvironmentName: # The Parameters cannot be a dynamic one like this !Join ['', [!Ref "AWS::StackName", "-VPC" ]] so, not using this parm to calculate the variable name
    Description: Some Name
    Type: String
    Default: None
  VpcCIDR:
    Description: VPC CIDR Block
    Type: String
    Default: 10.1.0.0/16
  

Resources:
  # CLI Command, windows: aws cloudformation create-stack --stack-name blabl<nameofStack> --template-body file://createEC2.yml --region eu-west-1
  # First, a VPC:
  VPC:
    Type: AWS::EC2::VPC
    Properties:
      CidrBlock: !Ref VpcCIDR # parameter defined above
      EnableDnsSupport: true
      EnableDnsHostnames: true
      Tags:
      - Key: Name
        Value:  !Join ['', [!Ref "AWS::StackName", "-VPC" ]]